> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# contint

> GenericMDOProvider reads MDO lists with default settings

## "contint" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'contint'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/contint
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("contint", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name           | StyleHint | ExtraInfo |
| -- | -------------- | --------- | --------- |
| 2  | Prestisjekunde |           |           |
| 1  | Referansekunde |           |           |
| 3  | Storkunde      |           |           |

## Related MDO Lists

* "contintheadings"
* "contintheadingswithallitem"
* "contintheadingswithallitemwithnoselection"
* "contintheadingswithnoselection"
* "contintwithallitem"
* "contintwithallitemwithnoselection"
* "contintwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList.md)
- [ContInt table](/en/database/tables/contint.md)
- [ContIntHeadingLink table](/en/database/tables/contintheadinglink.md)
- [ContIntGroupLink table](/en/database/tables/contintgrouplink.md)
- [Working with companies in API](/en/company/dev/index.md)
- [contactinterest table](/en/database/tables/contactinterest.md)
